Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.config
Class ProfessionalTransformerFactory

    java.lang.Object
      javax.xml.transform.TransformerFactory
          javax.xml.transform.sax.SAXTransformerFactory
              net.sf.saxon.TransformerFactoryImpl
                  com.saxonica.config.ProfessionalTransformerFactory

Direct Known Subclasses:
  EnterpriseTransformerFactory

    public class ProfessionalTransformerFactory

extends TransformerFactoryImpl

The is the JAXP TransformerFactory implementation for the professional edition of Saxon. It can be invoked by setting the system property javax.xml.transform.TransformerFactory to the value com.saxonica.ProfessionalTransformerFactory, and calling TransformerFactory.newInstance(), or it can be instantiated directly.

Field Summary

Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory
`FEATURE, FEATURE_XMLFILTER`

Constructor Summary
`ProfessionalTransformerFactory()` Create a ProfessionalTransformerFactory.
`ProfessionalTransformerFactory(ProfessionalConfiguration config)` Construct a TransformerFactory using an existing Configuration.

Method Summary
`void` | `setAttribute(String name, Object value)` Allows the user to set specific attributes on the underlying implementation.

Methods inherited from class net.sf.saxon.TransformerFactoryImpl
`getAssociatedStylesheet, getAttribute, getConfiguration, getErrorListener, getFeature, getURIResolver, newTemplates, newTemplates, newTemplatesHandler, newTransformer, newTransformer, newTransformerHandler, newTransformerHandler, newTransformerHandler, newXMLFilter, newXMLFilter, setConfiguration, setErrorListener, setFeature, setURIResolver`

Methods inherited from class javax.xml.transform.TransformerFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionalTransformerFactory

    public ProfessionalTransformerFactory()

  Create a ProfessionalTransformerFactory. A ProfessionalConfiguration will be created automatically.

### ProfessionalTransformerFactory

    public ProfessionalTransformerFactory(ProfessionalConfiguration config)

  Construct a TransformerFactory using an existing Configuration.

  Parameters:
    `config` - the configuration to be used. This must be a ProfessionalConfiguration.

Method Detail

### setAttribute

    public void setAttribute(String name,
                             Object value)
                      throws IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation. An attribute in this context is defined to be an option that the implementation provides.

  Overrides:
    `setAttribute` in class `TransformerFactoryImpl`
  Parameters:
    `name` - The name of the attribute. This must be one of the constants defined in class `FeatureKeys`.
    `value` - The value of the attribute.
  Throws:
    `IllegalArgumentException` - thrown if Saxon doesn't recognize the attribute.
  See Also:
    `FeatureKeys`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.